%global		__requires_exclude  pear\\(config.php\\)
%define		_class		Net
%define		_subclass	FTP
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
## We need to add .1 to make it upgrade from 1.4.0a3
Version:	1.4.1
Release:	%mkrel 1
Summary:        Net_FTP provides an OO interface to the PHP FTP functions plus some additions
License:        PHP License
Group:          Development/PHP
URL:            http://pear.php.net/package/Net_FTP
Source0:        http://pear.php.net/get/Net_FTP-%{version}.tgz
BuildRequires:  php-pear >= 1.4.7
Conflicts:	php-pear-DB_Sqlite_Tools
BuildArch:      noarch

%description
Net_FTP allows you to communicate with FTP servers in a more comfortable
way
than the native FTP functions of PHP do. The class implements everything
natively
supported by PHP and additionally features like recursive up- and
downloading,
dircreation and chmodding. It also implements an observer pattern to allow
for example the view of a progress bar.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Net_FTP.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_FTP.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_FTP
fi

%files
%doc docs/Net_FTP/*
%{peardir}/*
%{xmldir}/Net_FTP.xml


%changelog
* Tue Sep 29 2020 mokraemer <mokraemer> 1.4.1-1.mga8
+ Revision: 1631103
- new version 1.4.1.

* Wed Feb 12 2020 umeabot <umeabot> 1.4.0.1-3.mga8
+ Revision: 1499110
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.4.0.1-2.mga7
+ Revision: 1273669
- Mageia 7 Mass Rebuild

* Sun Mar 13 2016 spuhler <spuhler> 1.4.0.1-1.mga6
+ Revision: 990324
- renamed it 1.4.0.1 to make it upgrade 1.4.0a3
- upgrade to vers. 1.4.0

* Mon Feb 08 2016 umeabot <umeabot> 1.4.0a3-9.mga6
+ Revision: 947838
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4.0a3-8.mga5
+ Revision: 743404
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 1.4.0a3-7.mga5
+ Revision: 734092
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 1.4.0a3-6.mga5
+ Revision: 687360
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Tue Oct 22 2013 umeabot <umeabot> 1.4.0a3-5.mga4
+ Revision: 545762
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 spuhler <spuhler> 1.4.0a3-4.mga4
+ Revision: 501780
- removed version on conflicts

* Mon Oct 14 2013 spuhler <spuhler> 1.4.0a3-3.mga4
+ Revision: 496660
- added Conflicts: php-pear-DB_Sqlite_Tools-0.1.7

* Mon Oct 07 2013 spuhler <spuhler> 1.4.0a3-2.mga4
+ Revision: 492775
- added %%define _requires_exceptions  pear(config.php)

* Sat Oct 05 2013 spuhler <spuhler> 1.4.0a3-1.mga4
+ Revision: 491998
- upgrade to version 1.4.0a3
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 1.3.7-6.mga3
+ Revision: 376933
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 spuhler <spuhler> 1.3.7-5.mga1
+ Revision: 27945
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Net_FTP

